时序数据库需求的总结及推荐类库
一、核心需求总结
1.数据存储逻辑
每个数据点仅保留最近30次变化值(环形队列覆盖机制)
精确追踪当前值的持续时间(记录值变更的起始时间戳)
2.读写性能要求
高速内存处理:微秒级写入延迟，支持高并发(>500K ops/sec)
细粒度锁:每个数据点独立锁，避免全局锁竞争
3.客户端分离
写客户端:批量提交数据，低延迟响应
读客户端:支持实时推送变化(数据变更时主动推送)
4.扩展能力
可选持久化(如WAL日志)
监控指标暴露(内存用量、写入延迟等)